<?php

if ( class_exists("Kirki")){

	// HEADER SECTION

	Kirki::add_section( 'photographer_elementor_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'photographer-elementor' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'photographer-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'photographer_elementor_sticky_header',
		'label'       => esc_html__( 'Enable/Disable Sticky Header', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_section_header',
		'default'     => 0,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'photographer-elementor' ),
			'off' => esc_html__( 'Disable', 'photographer-elementor' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_enable_button_heading',
		'section'     => 'photographer_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Appointment Button', 'photographer-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => esc_html__( 'Button Text', 'photographer-elementor' ),
		'settings' => 'photographer_elementor_header_button_text',
		'section'  => 'photographer_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button Link', 'photographer-elementor' ),
		'settings' => 'photographer_elementor_header_button_url',
		'section'  => 'photographer_elementor_section_header',
		'default'  => '',
	] );


    // POST SECTION

	Kirki::add_section( 'photographer_elementor_blog_post', array(
	    'title'          => esc_html__( 'Post Settings', 'photographer-elementor' ),
	    'description'    => esc_html__( 'Here you can add post information.', 'photographer-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'photographer_elementor_date_hide',
		'label'       => esc_html__( 'Enable / Disable Post Date', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'photographer_elementor_author_hide',
		'label'       => esc_html__( 'Enable / Disable Post Author', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'photographer_elementor_comment_hide',
		'label'       => esc_html__( 'Enable / Disable Post Comment', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_length_setting_heading',
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Blog Post Content Limit', 'photographer-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'photographer_elementor_length_setting',
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '15',
		'priority'    => 10,
		'choices'  => [
					'min'  => -10,
					'max'  => 40,
		 			'step' => 1,
				],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'photographer_elementor_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'photographer-elementor' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'photographer-elementor' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_footer_text_heading',
		'section'     => 'photographer_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'photographer-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'photographer_elementor_footer_text',
		'section'  => 'photographer_elementor_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_footer_enable_heading',
		'section'     => 'photographer_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'photographer-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'photographer_elementor_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'photographer-elementor' ),
			'off' => esc_html__( 'Disable', 'photographer-elementor' ),
		],
	] );
}
